// creator  : weidu.exe (version 23600)
// argument : BRANWE.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~BRANWE~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 4 even though they appear after this state */
~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #922 /* ~I am Branwen, a war-priest from the Norheim Isles. I have been trapped in stone for what seems like an eternity. You have saved me, and for that I owe you my life. I am indebted to you, and by Tempus, I leave no debt unpaid! Let me join whichever cause you're fighting for, I should make a valuable ally and bring the favor of the Lord of Battles upon us.~ */
  IF ~~ THEN REPLY #925 /* ~We're always on the lookout for another warrior.~ */ GOTO 2
  IF ~~ THEN REPLY #927 /* ~I have no need of your services. Take your freedom and be off with you.~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.1
  SAY #923 /* ~It's an insult to my honor to refuse my services, but the choice is yours.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #26889 /* ~Branwen Rescued
I rescued a priest who had been turned to stone, but I did not let her join our party.~ */ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.0
  SAY #924 /* ~I am glad to be part of your war party. I will not make you regret your decision. A word of caution though: Beware of the dog that entrapped me in stone. Tranzig, he called himself. He was in the employ of a mercenary group, but I do not know the name. I shall see him dead before I see the shores of home again!~ */
  IF ~~ THEN DO ~JoinParty()
~ JOURNAL #26890 /* ~Branwen Rescued
I have rescued a priest named Branwen. She was apparently turned to stone by a mage named Tranzig.~ */ EXIT
END

IF WEIGHT #2 /* Triggers after states #: 4 even though they appear after this state */
~  True()
~ THEN BEGIN 3 // from:
  SAY #6066 /* ~Perhaps you have changed your mind, and now need my skills?~ */
  IF ~~ THEN REPLY #10889 /* ~Nope, just seeing if you were still alive.~ */ EXIT
  IF ~~ THEN REPLY #10890 /* ~Sure, we have room for another in our party.~ */ DO ~JoinParty()
~ JOURNAL #26890 /* ~Branwen Rescued
I have rescued a priest named Branwen. She was apparently turned to stone by a mage named Tranzig.~ */ EXIT
END

IF WEIGHT #0 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 4 // from:
  SAY #6067 /* ~I have not much to tell you. I was in the employ of an adventuring group that dared to attack unarmed merchants. I battled them bravely, but a dog named Tranzig entrapped me in stone. I shall see his head leave his body if it is the last thing I do!~ */
  IF ~~ THEN JOURNAL #26891 /* ~Branwen Rescued
When we charmed Branwen, we learned that she had been a prisoner in stone for many weeks, after she had confronted an adventuring group that was preying upon merchants. A mage named Tranzig was the one who entrapped her.~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #14743 /* ~You are no more honorable than the Loki spawn I left behind.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #14744 /* ~We have fought well, and we have fought bravely. Tempus willing, perhaps I will fight at your side again someday.~ */
  IF ~~ THEN EXIT
END
